package com.wd.workoffice.ui.adapter;


import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.BaseViewHolder;
import com.wd.workoffice.R;
import com.wd.workoffice.bean.MsgBean;
import com.wd.workoffice.bean.mesBean.TicketBean;

import java.util.List;

import flexible.xd.android_base.utils.TimeUtils;

/**
 * Created by flexible on 2018/8/13.
 */

public class MesTicketAdapter extends BaseQuickAdapter<TicketBean.ListBean, BaseViewHolder> {

    public MesTicketAdapter(int layoutResId, List data) {
        super(layoutResId, data);
    }


    @Override
    protected void convert(BaseViewHolder helper, TicketBean.ListBean item) {
        helper.setText(R.id.tv_name, item.getAssetName());
        helper.setText(R.id.tv_pro_name, item.getFailureName());
        helper.setText(R.id.tv_status, item.getStatus() + "");
        helper.setText(R.id.tv_time, TimeUtils.millis2String(item.getCreateDateTime()));
    }
}

