package com.wd.workoffice.bean.mesBean;

import com.wd.workoffice.app.BaseBean;
import com.wd.workoffice.app.BaseMesPageBean;

import java.util.List;

/**
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 **/
public class TicketBean extends BaseMesPageBean {


    /**
     * pageNum : 1
     * pageSize : 10
     * size : 10
     * startRow : 1
     * endRow : 10
     * total : 10
     * pages : 1
     * list : [{"id":"31a39e1f757811ea8334fa163e1166bd","createDateTime":1585896967000,"updateDateTime":1585896967000,"woCode":"GD20040300002","description":"123","locationId":"29bda088516711ea8334fa163e1166bd","assetId":"9daab57f312d11ea8334fa163e1166bd","parentId":"f8227db26ce511ea8334fa163e1166bd","failureCodeId":"c6386c6e103011ea8334fa163e1166bd","questionId":"8ba92b1d8a8f41aeb83cd44b23a44bdc","workType":1,"woType":1,"status":1,"siteId":"076068cfffa211e98334fa163e1166bd","shutDown":true,"shutdownTime":1585670400000,"recoveryTime":1585670400000,"grant":true,"materiel":true,"detailedInformation":"2","schedStart":null,"schedFinish":null,"actStart":null,"actFinish":null,"pmCode":null,"standardOperation":null,"delete":false,"createBy":"398c852b38e911ea8334fa163e1166bd","changeBy":null,"failureCode":"F00033","failureName":"第二次测试","questionCode":"P00081","questionName":"儿子","parentCode":"GD20032300001","parentName":"dd","locationCode":"HWHWHWHWHW","locationName":null,"assetCode":"02990018","assetName":"坩埚制料生产线","siteCode":"ZW","siteName":"正望钢水集团","linkedNumberId":null,"linkedNumber":"GD20032300001","createName":"hello","procId":null,"approved":null},{"id":"f8227db26ce511ea8334fa163e1166bd","createDateTime":1584954555000,"updateDateTime":1585032200000,"woCode":"GD20032300001","description":"dd","locationId":"29bda088516711ea8334fa163e1166bd","assetId":"0bf86c16650511ea8334fa163e1166bd","parentId":null,"failureCodeId":"7df75c37650911ea8334fa163e1166bd","questionId":null,"workType":1,"woType":1,"status":1,"siteId":"053910b6311511ea8334fa163e1166bd","shutDown":true,"shutdownTime":1584979200000,"recoveryTime":1585324800000,"grant":true,"materiel":true,"detailedInformation":null,"schedStart":1584374400000,"schedFinish":1584806400000,"actStart":1584201600000,"actFinish":1584374400000,"pmCode":null,"standardOperation":null,"delete":false,"createBy":"398c852b38e911ea8334fa163e1166bd","changeBy":"398c852b38e911ea8334fa163e1166bd","failureCode":"F00009","failureName":"123","questionCode":null,"questionName":null,"parentCode":null,"parentName":null,"locationCode":"HWHWHWHWHW","locationName":null,"assetCode":"11213","assetName":"222","siteCode":"ZWXS02","siteName":"销售二公司（GK）","linkedNumberId":null,"linkedNumber":"GD20020100001","createName":"hello","procId":null,"approved":null},{"id":"9f4fa8f9757311ea8334fa163e1166bd","createDateTime":1585895004000,"updateDateTime":1585895004000,"woCode":"GD20040300001","description":"ffgg","locationId":"29bda088516711ea8334fa163e1166bd","assetId":"33c3f50f74af11ea8334fa163e1166bd","parentId":"f8227db26ce511ea8334fa163e1166bd","failureCodeId":"7df75c37650911ea8334fa163e1166bd","questionId":null,"workType":1,"woType":1,"status":4,"siteId":"053910b6311511ea8334fa163e1166bd","shutDown":true,"shutdownTime":1585756800000,"recoveryTime":1585843200000,"grant":true,"materiel":true,"detailedInformation":"e","schedStart":null,"schedFinish":null,"actStart":null,"actFinish":null,"pmCode":null,"standardOperation":null,"delete":false,"createBy":"398c852b38e911ea8334fa163e1166bd","changeBy":null,"failureCode":"F00009","failureName":"123","questionCode":null,"questionName":null,"parentCode":"GD20032300001","parentName":"dd","locationCode":"HWHWHWHWHW","locationName":null,"assetCode":null,"assetName":null,"siteCode":"ZWXS02","siteName":"销售二公司（GK）","linkedNumberId":null,"linkedNumber":"GD20032300001","createName":"hello","procId":null,"approved":null},{"id":"65dd1a8144bf11ea8334fa163e1166bd","createDateTime":1580539942000,"updateDateTime":1581930404000,"woCode":"GD20020100001","description":"此工单由故障管理生成","locationId":"18c6ed3005e911ea8334fa163e1166bd","assetId":"9b31b29e102811ea8334fa163e1166bd","parentId":"1df694bf808711ea8334fa163e1166bd","failureCodeId":"c6386c6e103011ea8334fa163e1166bd","questionId":null,"workType":null,"woType":null,"status":2,"siteId":"076068cfffa211e98334fa163e1166bd","shutDown":false,"shutdownTime":1574265600000,"recoveryTime":1574179200000,"grant":false,"materiel":false,"detailedInformation":null,"schedStart":null,"schedFinish":null,"actStart":null,"actFinish":null,"pmCode":null,"standardOperation":null,"delete":false,"createBy":"398c852b38e911ea8334fa163e1166bd","changeBy":"398c852b38e911ea8334fa163e1166bd","failureCode":"F00033","failureName":"第二次测试","questionCode":null,"questionName":null,"parentCode":"GD20041700001","parentName":"此工单由故障管理生成","locationCode":null,"locationName":null,"assetCode":null,"assetName":null,"siteCode":"ZW","siteName":"正望钢水集团","linkedNumberId":null,"linkedNumber":null,"createName":"hello","procId":null,"approved":null},{"id":"9e66b6e474bd11ea8334fa163e1166bd","createDateTime":1585816834000,"updateDateTime":1585816834000,"woCode":"GD20040200001","description":"此工单由故障管理生成","locationId":"18c6ed3005e911ea8334fa163e1166bd","assetId":"9b31b29e102811ea8334fa163e1166bd","parentId":null,"failureCodeId":"c6386c6e103011ea8334fa163e1166bd","questionId":null,"workType":null,"woType":null,"status":1,"siteId":"076068cfffa211e98334fa163e1166bd","shutDown":false,"shutdownTime":1585559495000,"recoveryTime":1585559495000,"grant":false,"materiel":false,"detailedInformation":null,"schedStart":null,"schedFinish":null,"actStart":null,"actFinish":null,"pmCode":null,"standardOperation":null,"delete":false,"createBy":"398c852b38e911ea8334fa163e1166bd","changeBy":null,"failureCode":"F00033","failureName":"第二次测试","questionCode":null,"questionName":null,"parentCode":null,"parentName":null,"locationCode":null,"locationName":null,"assetCode":null,"assetName":null,"siteCode":"ZW","siteName":"正望钢水集团","linkedNumberId":null,"linkedNumber":null,"createName":"hello","procId":null,"approved":null},{"id":"0727517afad911e98334fa163e1166bd","createDateTime":1572414564000,"updateDateTime":1572414564000,"woCode":"GD19102300001","description":"2","locationId":"61c80cd705e511ea8334fa163e1166bd","assetId":"41ea5c72807311ea8334fa163e1166bd","parentId":"","failureCodeId":"7e29f2bb37a911e8b81100163e049447","questionId":"60693011e0d411e98334fa163e1166bd","workType":2,"woType":2,"status":2,"siteId":"076068cfffa211e98334fa163e1166bd","shutDown":true,"shutdownTime":1294720882000,"recoveryTime":1294721062000,"grant":true,"materiel":true,"detailedInformation":"2","schedStart":1294720882000,"schedFinish":1294720882000,"actStart":1294720882000,"actFinish":1294720882000,"pmCode":"1","standardOperation":"1","delete":false,"createBy":"5ad1918b9ed911e8b81100163e049447","changeBy":"5ad1918b9ed911e8b81100163e049447","failureCode":null,"failureName":null,"questionCode":null,"questionName":null,"parentCode":null,"parentName":null,"locationCode":null,"locationName":null,"assetCode":"0808051001","assetName":"h设备名","siteCode":"ZW","siteName":"正望钢水集团","linkedNumberId":"743fc1d0fade11e98334fa163e1166bd","linkedNumber":null,"createName":"ADMIN","procId":null,"approved":null},{"id":"0ad0cd5eec0411e98334fa163e1166bd","createDateTime":1570783771000,"updateDateTime":1570785135000,"woCode":"GD19102300001","description":"2","locationId":"61c80cd705e511ea8334fa163e1166bd","assetId":"41ea5c72807311ea8334fa163e1166bd","parentId":"","failureCodeId":"7e29f2bb37a911e8b81100163e049447","questionId":"60693011e0d411e98334fa163e1166bd","workType":2,"woType":2,"status":2,"siteId":"076068cfffa211e98334fa163e1166bd","shutDown":false,"shutdownTime":1294720882000,"recoveryTime":1294721062000,"grant":false,"materiel":false,"detailedInformation":"2","schedStart":1294720882000,"schedFinish":1294720882000,"actStart":1294720882000,"actFinish":1294720882000,"pmCode":"1","standardOperation":"1","delete":false,"createBy":"5ad1918b9ed911e8b81100163e049447","changeBy":"5ad1918b9ed911e8b81100163e049447","failureCode":null,"failureName":null,"questionCode":null,"questionName":null,"parentCode":null,"parentName":null,"locationCode":null,"locationName":null,"assetCode":"0808051001","assetName":"h设备名","siteCode":"ZW","siteName":"正望钢水集团","linkedNumberId":null,"linkedNumber":null,"createName":"ADMIN","procId":null,"approved":null},{"id":"2d432b72ebc911e98334fa163e1166bd","createDateTime":1570758489000,"updateDateTime":1570775947000,"woCode":"2","description":"2","locationId":"03185e46e9ae11e98334fa163e1166bd","assetId":"9daab57f312d11ea8334fa163e1166bd","parentId":"","failureCodeId":"7e29f2bb37a911e8b81100163e049447","questionId":"60693011e0d411e98334fa163e1166bd","workType":2,"woType":2,"status":2,"siteId":"076068cfffa211e98334fa163e1166bd","shutDown":false,"shutdownTime":1294720882000,"recoveryTime":1294721062000,"grant":false,"materiel":false,"detailedInformation":"2","schedStart":1294720882000,"schedFinish":1294720882000,"actStart":1294720882000,"actFinish":1294720882000,"pmCode":"1","standardOperation":"1","delete":false,"createBy":"5ad1918b9ed911e8b81100163e049447","changeBy":"5ad1918b9ed911e8b81100163e049447","failureCode":null,"failureName":null,"questionCode":null,"questionName":null,"parentCode":null,"parentName":null,"locationCode":null,"locationName":null,"assetCode":"02990018","assetName":"坩埚制料生产线","siteCode":"ZW","siteName":"正望钢水集团","linkedNumberId":null,"linkedNumber":null,"createName":"ADMIN","procId":null,"approved":null},{"id":"1df694bf808711ea8334fa163e1166bd","createDateTime":1587112839000,"updateDateTime":1587113094000,"woCode":"GD20041700001","description":"此工单由故障管理生成","locationId":"9635e4e3311011ea8334fa163e1166bd","assetId":"9daab57f312d11ea8334fa163e1166bd","parentId":"f8227db26ce511ea8334fa163e1166bd","failureCodeId":"8c0d58e7808611ea8334fa163e1166bd","questionId":"9c474ccc8b264dcbac1561eb86b686be","workType":1,"woType":1,"status":1,"siteId":"076068cfffa211e98334fa163e1166bd","shutDown":false,"shutdownTime":1585670400000,"recoveryTime":1586275200000,"grant":false,"materiel":false,"detailedInformation":"1","schedStart":null,"schedFinish":null,"actStart":null,"actFinish":null,"pmCode":null,"standardOperation":null,"delete":false,"createBy":"c47fb9fe3c1a11ea8334fa163e1166bd","changeBy":"c47fb9fe3c1a11ea8334fa163e1166bd","failureCode":"F00007","failureName":"H故障类1","questionCode":"P00009","questionName":"这是个古战","parentCode":"GD20032300001","parentName":"dd","locationCode":"HWTN","locationName":"特耐","assetCode":"02990018","assetName":"坩埚制料生产线","siteCode":"ZW","siteName":"正望钢水集团","linkedNumberId":null,"linkedNumber":"GD20040300002","createName":"hua","procId":null,"approved":null},{"id":"0001","createDateTime":1571038356000,"updateDateTime":1574746708000,"woCode":"工单001","description":"测试1","locationId":"61c80cd705e511ea8334fa163e1166bd","assetId":"41ea5c72807311ea8334fa163e1166bd","parentId":"","failureCodeId":"7e29f2bb37a911e8b81100163e049447","questionId":"60693011e0d411e98334fa163e1166bd","workType":1,"woType":1,"status":1,"siteId":"076068cfffa211e98334fa163e1166bd","shutDown":false,"shutdownTime":1849581682000,"recoveryTime":1550810662000,"grant":false,"materiel":false,"detailedInformation":"1","schedStart":1533962482000,"schedFinish":1533962482000,"actStart":1533962482000,"actFinish":1533962482000,"pmCode":"1","standardOperation":"1","delete":false,"createBy":"28dbc4dd005711ea8334fa163e1166bd","changeBy":"28dbc4dd005711ea8334fa163e1166bd","failureCode":null,"failureName":null,"questionCode":null,"questionName":null,"parentCode":null,"parentName":null,"locationCode":null,"locationName":null,"assetCode":"0808051001","assetName":"h设备名","siteCode":"ZW","siteName":"正望钢水集团","linkedNumberId":null,"linkedNumber":null,"createName":null,"procId":null,"approved":null}]
     * prePage : 0
     * nextPage : 0
     * isFirstPage : true
     * isLastPage : true
     * hasPreviousPage : false
     * hasNextPage : false
     * navigatePages : 8
     * navigatepageNums : [1]
     * navigateFirstPage : 1
     * navigateLastPage : 1
     * firstPage : 1
     * lastPage : 1
     */
    private List<ListBean> list;

    public List<ListBean> getList() {
        return list;
    }

    public void setList(List<ListBean> list) {
        this.list = list;
    }

    public static class ListBean {
        /**
         * id : 31a39e1f757811ea8334fa163e1166bd
         * createDateTime : 1585896967000
         * updateDateTime : 1585896967000
         * woCode : GD20040300002
         * description : 123
         * locationId : 29bda088516711ea8334fa163e1166bd
         * assetId : 9daab57f312d11ea8334fa163e1166bd
         * parentId : f8227db26ce511ea8334fa163e1166bd
         * failureCodeId : c6386c6e103011ea8334fa163e1166bd
         * questionId : 8ba92b1d8a8f41aeb83cd44b23a44bdc
         * workType : 1
         * woType : 1
         * status : 1
         * siteId : 076068cfffa211e98334fa163e1166bd
         * shutDown : true
         * shutdownTime : 1585670400000
         * recoveryTime : 1585670400000
         * grant : true
         * materiel : true
         * detailedInformation : 2
         * schedStart : null
         * schedFinish : null
         * actStart : null
         * actFinish : null
         * pmCode : null
         * standardOperation : null
         * delete : false
         * createBy : 398c852b38e911ea8334fa163e1166bd
         * changeBy : null
         * failureCode : F00033
         * failureName : 第二次测试
         * questionCode : P00081
         * questionName : 儿子
         * parentCode : GD20032300001
         * parentName : dd
         * locationCode : HWHWHWHWHW
         * locationName : null
         * assetCode : 02990018
         * assetName : 坩埚制料生产线
         * siteCode : ZW
         * siteName : 正望钢水集团
         * linkedNumberId : null
         * linkedNumber : GD20032300001
         * createName : hello
         * procId : null
         * approved : null
         */

        private String id;
        private long createDateTime;
        private long updateDateTime;
        private String woCode;
        private String description;
        private String locationId;
        private String assetId;
        private String parentId;
        private String failureCodeId;
        private String questionId;
        private int workType;
        private int woType;
        private int status;
        private String siteId;
        private boolean shutDown;
        private long shutdownTime;
        private long recoveryTime;
        private boolean grant;
        private boolean materiel;
        private String detailedInformation;
        private Object schedStart;
        private Object schedFinish;
        private Object actStart;
        private Object actFinish;
        private Object pmCode;
        private Object standardOperation;
        private boolean delete;
        private String createBy;
        private Object changeBy;
        private String failureCode;
        private String failureName;
        private String questionCode;
        private String questionName;
        private String parentCode;
        private String parentName;
        private String locationCode;
        private Object locationName;
        private String assetCode;
        private String assetName;
        private String siteCode;
        private String siteName;
        private Object linkedNumberId;
        private String linkedNumber;
        private String createName;
        private Object procId;
        private Object approved;

        public String getId() {
            return id;
        }

        public void setId(String id) {
            this.id = id;
        }

        public long getCreateDateTime() {
            return createDateTime;
        }

        public void setCreateDateTime(long createDateTime) {
            this.createDateTime = createDateTime;
        }

        public long getUpdateDateTime() {
            return updateDateTime;
        }

        public void setUpdateDateTime(long updateDateTime) {
            this.updateDateTime = updateDateTime;
        }

        public String getWoCode() {
            return woCode;
        }

        public void setWoCode(String woCode) {
            this.woCode = woCode;
        }

        public String getDescription() {
            return description;
        }

        public void setDescription(String description) {
            this.description = description;
        }

        public String getLocationId() {
            return locationId;
        }

        public void setLocationId(String locationId) {
            this.locationId = locationId;
        }

        public String getAssetId() {
            return assetId;
        }

        public void setAssetId(String assetId) {
            this.assetId = assetId;
        }

        public String getParentId() {
            return parentId;
        }

        public void setParentId(String parentId) {
            this.parentId = parentId;
        }

        public String getFailureCodeId() {
            return failureCodeId;
        }

        public void setFailureCodeId(String failureCodeId) {
            this.failureCodeId = failureCodeId;
        }

        public String getQuestionId() {
            return questionId;
        }

        public void setQuestionId(String questionId) {
            this.questionId = questionId;
        }

        public int getWorkType() {
            return workType;
        }

        public void setWorkType(int workType) {
            this.workType = workType;
        }

        public int getWoType() {
            return woType;
        }

        public void setWoType(int woType) {
            this.woType = woType;
        }

        public int getStatus() {
            return status;
        }

        public void setStatus(int status) {
            this.status = status;
        }

        public String getSiteId() {
            return siteId;
        }

        public void setSiteId(String siteId) {
            this.siteId = siteId;
        }

        public boolean isShutDown() {
            return shutDown;
        }

        public void setShutDown(boolean shutDown) {
            this.shutDown = shutDown;
        }

        public long getShutdownTime() {
            return shutdownTime;
        }

        public void setShutdownTime(long shutdownTime) {
            this.shutdownTime = shutdownTime;
        }

        public long getRecoveryTime() {
            return recoveryTime;
        }

        public void setRecoveryTime(long recoveryTime) {
            this.recoveryTime = recoveryTime;
        }

        public boolean isGrant() {
            return grant;
        }

        public void setGrant(boolean grant) {
            this.grant = grant;
        }

        public boolean isMateriel() {
            return materiel;
        }

        public void setMateriel(boolean materiel) {
            this.materiel = materiel;
        }

        public String getDetailedInformation() {
            return detailedInformation;
        }

        public void setDetailedInformation(String detailedInformation) {
            this.detailedInformation = detailedInformation;
        }

        public Object getSchedStart() {
            return schedStart;
        }

        public void setSchedStart(Object schedStart) {
            this.schedStart = schedStart;
        }

        public Object getSchedFinish() {
            return schedFinish;
        }

        public void setSchedFinish(Object schedFinish) {
            this.schedFinish = schedFinish;
        }

        public Object getActStart() {
            return actStart;
        }

        public void setActStart(Object actStart) {
            this.actStart = actStart;
        }

        public Object getActFinish() {
            return actFinish;
        }

        public void setActFinish(Object actFinish) {
            this.actFinish = actFinish;
        }

        public Object getPmCode() {
            return pmCode;
        }

        public void setPmCode(Object pmCode) {
            this.pmCode = pmCode;
        }

        public Object getStandardOperation() {
            return standardOperation;
        }

        public void setStandardOperation(Object standardOperation) {
            this.standardOperation = standardOperation;
        }

        public boolean isDelete() {
            return delete;
        }

        public void setDelete(boolean delete) {
            this.delete = delete;
        }

        public String getCreateBy() {
            return createBy;
        }

        public void setCreateBy(String createBy) {
            this.createBy = createBy;
        }

        public Object getChangeBy() {
            return changeBy;
        }

        public void setChangeBy(Object changeBy) {
            this.changeBy = changeBy;
        }

        public String getFailureCode() {
            return failureCode;
        }

        public void setFailureCode(String failureCode) {
            this.failureCode = failureCode;
        }

        public String getFailureName() {
            return failureName;
        }

        public void setFailureName(String failureName) {
            this.failureName = failureName;
        }

        public String getQuestionCode() {
            return questionCode;
        }

        public void setQuestionCode(String questionCode) {
            this.questionCode = questionCode;
        }

        public String getQuestionName() {
            return questionName;
        }

        public void setQuestionName(String questionName) {
            this.questionName = questionName;
        }

        public String getParentCode() {
            return parentCode;
        }

        public void setParentCode(String parentCode) {
            this.parentCode = parentCode;
        }

        public String getParentName() {
            return parentName;
        }

        public void setParentName(String parentName) {
            this.parentName = parentName;
        }

        public String getLocationCode() {
            return locationCode;
        }

        public void setLocationCode(String locationCode) {
            this.locationCode = locationCode;
        }

        public Object getLocationName() {
            return locationName;
        }

        public void setLocationName(Object locationName) {
            this.locationName = locationName;
        }

        public String getAssetCode() {
            return assetCode;
        }

        public void setAssetCode(String assetCode) {
            this.assetCode = assetCode;
        }

        public String getAssetName() {
            return assetName;
        }

        public void setAssetName(String assetName) {
            this.assetName = assetName;
        }

        public String getSiteCode() {
            return siteCode;
        }

        public void setSiteCode(String siteCode) {
            this.siteCode = siteCode;
        }

        public String getSiteName() {
            return siteName;
        }

        public void setSiteName(String siteName) {
            this.siteName = siteName;
        }

        public Object getLinkedNumberId() {
            return linkedNumberId;
        }

        public void setLinkedNumberId(Object linkedNumberId) {
            this.linkedNumberId = linkedNumberId;
        }

        public String getLinkedNumber() {
            return linkedNumber;
        }

        public void setLinkedNumber(String linkedNumber) {
            this.linkedNumber = linkedNumber;
        }

        public String getCreateName() {
            return createName;
        }

        public void setCreateName(String createName) {
            this.createName = createName;
        }

        public Object getProcId() {
            return procId;
        }

        public void setProcId(Object procId) {
            this.procId = procId;
        }

        public Object getApproved() {
            return approved;
        }

        public void setApproved(Object approved) {
            this.approved = approved;
        }
    }
}
